Tree BG 1
Tree
Tree
TreeLeaves
TreeLeaves
Cat IdleGrassGrassRockRock

Beta Observability Evaluations Optimizations Endpoints

(beta) Observability - Evaluations - Optimizations API.

List optimizations with optional filters

GET /v1/observability/optimizations#

List optimizations with optional filters

200

Successful Response

Playground

Test the endpoints live

import { Mistral } from "@mistralai/mistralai";

const mistral = new Mistral({
  apiKey: "MISTRAL_API_KEY",
});

async function run() {
  const result = await mistral.beta.observability.evaluations.optimizations.list({});

  console.log(result);
}

run();
from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.beta.observability.evaluations.optimizations.list(page_size=50, page=1)

    # Handle response
    print(res)

curl https://api.mistral.ai/v1/observability/optimizations \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "optimizations": {
    "count": 87
  }
}

Get an optimization by id (with its anchored evaluation + project)

GET /v1/observability/optimizations/{optimization_id}#

Get an optimization by id (with its anchored evaluation + project)

200

Successful Response

algorithm#
*string
created_at#
*date-time
creator_id#
*string
creator_type#
"api_key"|"service_account"|"user"
deleted_at#
*date-time|null
description#
string|null
evaluation#
OptimizationReference|null
evaluation_id#
string|null
id#
*string
name#
*string
objective_spec#
map<any>|null
outcome#
map<any>|null
project_id#
*string
source#
*string
status#
*string
steer#
string|null
tags#
array<string>
updated_at#
*date-time
workflow_execution_id#
string|null
workflow_run_id#
string|null

Playground

Test the endpoints live

import { Mistral } from "@mistralai/mistralai";

const mistral = new Mistral({
  apiKey: "MISTRAL_API_KEY",
});

async function run() {
  const result = await mistral.beta.observability.evaluations.optimizations.get({
    optimizationId: "fd7cc96b-0c32-4b79-b7e4-63786d9dcfea",
  });

  console.log(result);
}

run();
from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.beta.observability.evaluations.optimizations.get(optimization_id="fd7cc96b-0c32-4b79-b7e4-63786d9dcfea")

    # Handle response
    print(res)

curl https://api.mistral.ai/v1/observability/optimizations/{optimization_id} \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "algorithm": "ipsum eiusmod",
  "created_at": "2025-12-17T10:25:07.818693Z",
  "creator_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "deleted_at": null,
  "id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "name": "My resource",
  "project_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
  "source": "upload",
  "status": "irure",
  "updated_at": "2025-12-17T10:41:03.469341Z"
}

List an optimization's trials with their observation runs (paginated)

GET /v1/observability/optimizations/{optimization_id}/trials#

List an optimization's trials with their observation runs (paginated)

Playground

Test the endpoints live

import { Mistral } from "@mistralai/mistralai";

const mistral = new Mistral({
  apiKey: "MISTRAL_API_KEY",
});

async function run() {
  const result = await mistral.beta.observability.evaluations.optimizations.listTrials({
    optimizationId: "54622d5d-6e77-4a86-9908-87b1f8f16424",
  });

  console.log(result);
}

run();
from mistralai.client import Mistral
import os


with Mistral(
    api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:

    res = mistral.beta.observability.evaluations.optimizations.list_trials(optimization_id="54622d5d-6e77-4a86-9908-87b1f8f16424", page_size=50, page=1)

    # Handle response
    print(res)

curl https://api.mistral.ai/v1/observability/optimizations/{optimization_id}/trials \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "trials": {
    "count": 87
  }
}